Bug 130486 - Calc: After setting cell format alignment to "Distributed", the cell is no longer able to set to "Justified" anymore
Summary: Calc: After setting cell format alignment to "Distributed", the cell is no lo...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0 target:6.4.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-02-06 13:12 UTC by Franklin Weng
Modified: 2020-02-19 17:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Calc 6.2.4.2 setting cell to Distributed would not work (201.19 KB, image/png)
2020-02-06 13:19 UTC, Franklin Weng
Details
6.3.4.2 Justified: worked (282.45 KB, image/png)
2020-02-06 13:20 UTC, Franklin Weng
Details
6.3.4.2 Distributed: worked. (273.74 KB, image/png)
2020-02-06 13:21 UTC, Franklin Weng
Details
6.4.0.0_beta1 Distributed not worked (205.51 KB, image/png)
2020-02-06 13:22 UTC, Franklin Weng
Details
6.4.0.3 Distributed worked, but after that Justified has no effect (274.20 KB, image/png)
2020-02-06 13:23 UTC, Franklin Weng
Details
6.4.0.3 Justified: worked before Distributed is selected. (274.16 KB, image/png)
2020-02-06 13:23 UTC, Franklin Weng
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Franklin Weng 2020-02-06 13:12:05 UTC
版本:6.4.0.3
組建 ID:b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU 執行緒:4; OS:Linux 5.4; UI 算繪:預設; VCL: kf5; 
語言地區:zh-TW (zh_TW.UTF-8); 介面語言:zh-TW
Calc: threaded

Step:
1. Insert a long-enough text paragraph into a cell 
2. Right-click the cell and select "Cell format"
3. In the "Alignment" tab, set horizontal alignment to "Justified", the text in the cell is aligned to justified successfully.
4. Again, right-click the cell and select "Distributed", the text in the cell is aligned to distributed (the last line distributed).
5. Again, when re-select "Justified", the cell no longer changes back to Justified.  The option stays in "Distributed".  No effect.
6. Only "Justified" has no effects.  Other options (Left, center, right, ...) work.
Comment 1 Franklin Weng 2020-02-06 13:18:08 UTC
When trying to find the earliest version which reproduces this problem, I found that the behavior were different in the 6.1+ series.

版本:6.1.5.2
組建 ID:90f8dcf33c87b3705e78202e3df5142b201bd805
CPU 執行緒:4; OS:Linux 5.4; UI 算繪:預設; VCL: kde4; 
語言地區:zh-TW (zh_TW.UTF-8); Calc: group threaded

Justified: worked.
Distributed: worked.
Back to Justified: worked.


版本:6.2.4.2
組建 ID:2412653d852ce75f65fbfa83fb7e7b669a126d64
CPU 執行緒:4; OS:Linux 5.4; UI 算繪:預設; VCL: kde4; 
語言地區:zh-TW (zh_TW.UTF-8); UI語言:zh-TW
Calc: threaded

Justified: worked.
Distributed: _NOT_ worked.  The cell format would be set to Default when selecting Distributed.  
Back to Justified: worked.

Only Distributed not worked in this version.

版本:6.3.4.2
組建 ID:60da17e045e08f1793c57c00ba83cdfce946d0aa
CPU 執行緒:4; OS:Linux 5.4; UI 算繪:預設; VCL: kde5; 
語言地區:zh-TW (zh_TW.UTF-8); UI語言:zh-TW
Calc: threaded

Justified: worked.
Distributed: worked.
Back to Justified: worked.

版本:6.4.0.0.beta1
組建 ID:4d7e5b0c40ed843384704eca3ce21981d4e98920
CPU 執行緒:4; OS:Linux 5.4; UI 算繪:預設; VCL: kf5; 
語言地區:zh-TW (zh_TW.UTF-8); UI-Language: zh-TW
Calc: threaded

Justified: worked.
Distributed: _NOT_ worked, just like in version 6.2.4.2.  Only Distributed has no effect and would be set back to Default.
Back to Justified: worked.

版本:6.4.0.3
組建 ID:b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU 執行緒:4; OS:Linux 5.4; UI 算繪:預設; VCL: kf5; 
語言地區:zh-TW (zh_TW.UTF-8); 介面語言:zh-TW
Calc: threaded

Justified: worked.
Distributed: worked.
Back to Justified: _NOT_ worked. The cell would be set to Distributed.  (Distributed->Default->Justified the cell would also become Distributed)
i.e., this bug report.

Some screenshot will be attached.
Comment 2 Franklin Weng 2020-02-06 13:19:07 UTC
Created attachment 157691 [details]
Calc 6.2.4.2 setting cell to Distributed would not work
Comment 3 Franklin Weng 2020-02-06 13:20:23 UTC
Created attachment 157692 [details]
6.3.4.2 Justified: worked

6.3.4.2 Justified and Distributed both worked well.
Comment 4 Franklin Weng 2020-02-06 13:21:25 UTC
Created attachment 157693 [details]
6.3.4.2 Distributed: worked.

After setting to Distributed, Justified still can be selected and worked well.
Comment 5 Franklin Weng 2020-02-06 13:22:13 UTC
Created attachment 157694 [details]
6.4.0.0_beta1 Distributed not worked
Comment 6 Franklin Weng 2020-02-06 13:23:08 UTC
Created attachment 157695 [details]
6.4.0.3 Distributed worked, but after that Justified has no effect
Comment 7 Franklin Weng 2020-02-06 13:23:37 UTC
Created attachment 157696 [details]
6.4.0.3 Justified: worked before Distributed is selected.
Comment 8 Xisco Faulí 2020-02-07 19:25:15 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=2f13f0693de4c301898f304999225738334aadb0

author	Caolán McNamara <caolanm@redhat.com>	2019-12-10 20:15:27 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-12-11 12:26:43 +0100
commit	2f13f0693de4c301898f304999225738334aadb0 (patch)
tree	a1c8c1784d3412b5181121f05d1f399d45c47f5e
parent	f714a2960eb49c50a1e90646b4a48a14d5013a2d (diff)
tdf#129300 If it would create no change, don't force it

Bisected with: bibisect-linux64-6.5

Adding Cc: to Caolán McNamara
Comment 9 Caolán McNamara 2020-02-07 21:47:57 UTC
clearly that doesn't work the way I thought it did
Comment 10 Commit Notification 2020-02-09 16:51:17 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/037493635fa4e48ec4e7cc8ec8d76ca1f55cd1c6

Resolves: tdf#130486 setting distributed results that justified cannot be set

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Caolán McNamara 2020-02-09 17:02:28 UTC
fixed in master, backport to 6-4 in gerrit
Comment 12 Xisco Faulí 2020-02-11 12:35:09 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 5d00a1c9c6e85f3d7a3e05ab485da79980c38d44
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!
Comment 13 Commit Notification 2020-02-11 12:36:17 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/818598e609ad9160af52ae8b02d772ca29f9ad7b

Resolves: tdf#130486 setting distributed results that justified cannot be set

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2020-02-19 13:14:01 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-1":

https://git.libreoffice.org/core/commit/e5d027bac2255eb57bb040d97d8e55a45d6e91d9

Resolves: tdf#130486 setting distributed results that justified cannot be set

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.